Page MenuHomePhabricator

Copy Patrol interface: User can undo their own mistaken review
Closed, ResolvedPublic2 Estimated Story Points

Description

On the Copy patrol interface, after a user has chosen a triage state, that user can undo their own review.

On an item that the user has reviewed, when the user clicks on either button, a confirmation message pops up: Are you sure that you want to change the review setting? Yes / No. When the user confirms, the state goes back to untriaged.

Untriaged state:

Reviewed:

Changing review, with confirmation:

Event Timeline

DannyH created this task.May 6 2016, 5:47 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 6 2016, 5:47 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 18 2016, 8:57 PM
DannyH set the point value for this task to 2.

Pull request at https://github.com/Niharika29/PlagiabotWeb/pull/9

Don't be alarmed by the "78 files changed", 72 of them are just putting the Bootstrap Less files into version control

I forgot about the confirmation modal, actually. You might feel like you don't need it... I didn't. Maybe let's try it out on the staging app (plagiabot) and see what you all think. If we still want a modal I can add one, nothing difficult.

What's the behavior if it's currently triaged as No action needed, and then you click on Page fixed? Does the triage automatically go from one to the other, or does it clear the triage state?

It's automatic, so you can always change the state using the other button. However if you hover over the same button as the current state it reads "Undo review". Clicking resets the triage state altogether. This feels intuitive to me given the hover states make the buttons seem clickable / reversible. Interested to hear what you think; I'll let you know when we have it up on /plagiabot

Yeah, I'll see how it feels.

MusikAnimal added a comment.EditedJun 21 2016, 9:32 PM

This can now be found as part of the "Wikimania branch", relevant changes made with this commit.

Again 72 of the 78 files changed are just moving the Bootstrap Less files into version control, and may be ignored for the purposes of reviewing.

From today's standup:

Instead of switching automatically from "Page fixed" to "Undo review", put a little loading indicator between them -- to indicate that your click has worked, and put the "undo" message in context.

New loading indicators on review buttons have been deployed. Try it out by undoing/changing your own reviews.

DannyH closed this task as Resolved.Jun 27 2016, 8:53 PM

This is great. It feels a lot better.

MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Dec 6 2016, 5:25 AM